@import url('https://fonts.googleapis.com/css2?family=Tiro+Tamil&display=swap');
/* font-family: 'Tiro Tamil', serif; */
@import url('https://fonts.googleapis.com/css2?family=Tiro+Gurmukhi&display=swap');
/* font-family: 'Tiro Gurmukhi', serif; */
@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');
/* font-family: "Roboto", sans-serif; */

* {
  font-family: "Roboto", sans-serif !important;
}

/*****************************************
  Image Uploader Preview Begin
*****************************************/
.image-upload-container {
  max-width: 400px;
  margin: auto;
  padding: 10px;
  text-align: center;
  border-radius: 5px;
  /* box-shadow: 0 0 15px rgba(0, 0, 0, 0.08); */
}
.image-upload-container .preview-block {
  width: 100%;
  height: 200px;
  border: 1px dashed #b6b6b6;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 1px;
  border-radius: 5px;
  overflow: hidden;
  cursor: pointer;
}
.image-upload-container .preview-block:hover {border-color: #2b2b2b;}

.image-upload-container .preview-block img {
  max-width: 100%;
  max-height: 100%;
  display: none;
}
.image-upload-container .preview-block.active img {display: block;}

.table_img {
  width: 40px;
  height: 40px;
}
#exportData {display: none;}

.table_img img {
  width: 40px;
  height: 40px;
  /* width: 100%;
  height: 100%; */
  object-fit: cover;
  object-position: center;
}

.image-upload-container .set-featured-btn {
  width: 100%;
  padding: 10px 20px;
  background-color: #ececec;
  color: #757575;
  /* border: 1px solid #484cd1; */
  border: none;
  /* border-radius: 5px; */
  cursor: pointer;
  font-size: 14px;
  transition: all 0.3s;
}

.image-upload-container .set-featured-btn:hover {
  /* border-color: #313252; */
  background-color: #f7f7f7;
  color: #313252;
}
.image-upload-container input[type="file"] {display: none;}

.caption_featured_image {
  border-color: #dfdfdf;
  color: #313252;
}
.caption_featured_image::placeholder {color: #c5c5c5;}

/*****************************************
  Image Uploader Preview End
*****************************************/

/*****************************************
  Patient view in Doctors Panel Begin
*****************************************/
.patient-card {
  background: linear-gradient(135deg, #dde9ff, #dde9ff, #dde9ff);
  color: white;
  border-radius: 10px;
  box-shadow: 0 0px 15px rgba(0, 0, 0, 0.1);
  border-top: 1px solid #afcbff;
  margin-bottom: 30px;
  overflow: hidden;
}

.patient-card-header {
  color: #004ba7;
  padding: 15px 24px;
  text-align: center;
}

.patient-card-header h1 {
  font-size: 1.35rem;
  font-weight: 700;
  margin-bottom: 0;
}

.patient-card-header p.subtitle {
  font-size: 0.9rem;
  opacity: 0.85;
  margin-bottom: 0;
}

.avatar-icon {
  width: 45px;
  height: 45px;
  border-radius: 50%;
  background: white;
  padding: 2px;
  margin: 0 auto 12px auto;
}
.avatar-icon img {max-width: 100%;}

.patient-card-details {
  display: flex;
  flex-wrap: wrap;
  gap: 20px 30px;
  font-size: 0.95rem;
  background: white;
  color: #1F2937;
  padding: 24px;
}

.patient-info {
  width: calc(50% - 15px);
  display: flex;
  gap: 15px;
}
.patient-info.symptoms, .patient-info.reports {width: 100%;}

.patient-label {
  white-space: nowrap;
  font-weight: 600;
  opacity: 0.6;
}
.patient-value {
  font-weight: 500;
  opacity: 0.95;
}
/*****************************************
  Patient view in Doctors Panel End
*****************************************/

.doctors-field {display: none;}
.bg-dark-pint {background: #ab194a;}
.bg-blue {background: #2f3a76;}

.navbar-nav-link:active,
.navbar-nav-link:focus,
.navbar-nav-link:hover {background-color: transparent !important;}

.form-select:disabled {
  color: #8c8c8c;
  border-color: #e1e4e8;
  background-color: #fbfcfc;
  cursor: not-allowed;
}

#members-online {height: 40px;}
#export_data {display: flex;}
.cke_notifications_area, .multiselect-filter .form-control-feedback-icon {display: none !important;}
.multiselect {border-radius: 0;}
.multiselect:focus, input:focus, textarea:focus, select:focus {box-shadow: none !important;}

.doctorsList .select2-container {
  min-width: 150px;
  max-width: 170px;
  width: auto !important;
}
.select2-selection--single {border-radius: 0;}
.select2-container--focus:not(.select2-container--disabled) .select2-selection--single,
.select2-container--open .select2-selection--single {box-shadow: none !important;}

.paginated-table #example {
  border-bottom: none !important;
  margin-bottom: 0 !important;
}

.paginations-field td {padding: 0;}
.paginated-table .dataTables_info, .paginated-table .dataTables_paginate {display: none;}

#paginations {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
  gap: 3px;
  width: 100%;
  margin-top: 15px;
  margin-bottom: 20px;
}

#paginations a {
  display: block;
  font-size: 14px;
  color: #5b5b5b;
  border: 1px solid #dee2e6;
  padding: 3px 11px;
  transition: all 0.3s;
}

#paginations a:first-child {border-radius: 5px 0 0 5px;}
#paginations a:last-child {border-radius: 0 5px 5px 0;}

#paginations a:hover, #paginations a.active {
  background-color: #dee2e6;
  color: #5a5555;
}

.bold {font-weight: bold !important;}

div.dataTables_paginate ul.pagination {
  flex-wrap: wrap;
  gap: 3px;
}

.dataTables_wrapper .dataTables_paginate .paginate_button#example_ellipsis {border: none !important;}

.dataTables_wrapper .dataTables_paginate .paginate_button,
.dataTables_wrapper .dataTables_paginate .paginate_button#example_next {
  border-left: 1px solid #ccc !important;
}
.dataTables_wrapper .dataTables_paginate .paginate_button {margin: 0 !important;}

input[type=number]::-webkit-outer-spin-button,
input[type=number]::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}


/* #example thead tr th:last-child {width: 150px;} */
#example thead tr th:last-child {width: fit-content !important;}
#referral-block, #procedureComment {display: none;}
#referral-block.referral-block-show, #procedureComment.procedure-comment-show {display: block;}


body .ck.ck-list__item .ck-button .ck-button__label {

  font-size: 16px !important;

  font-weight: 600 !important;

}



.italic {font-style: italic;}

.card .card-body .card-icon i {font-size: 35px;}

.card-height {min-height: 141px;}

#logout {cursor: pointer;}



#login-bg {

  background-image: url(../images/login-bg.jpg);

  background-size: cover;

  background-repeat: no-repeat;

  background-position: center;

  position: relative;

}



#login-bg::after {

  content: "";

  background: linear-gradient(135deg, #2e40a8 0%, #576589 50%, #416875 100%);
  opacity: 0.8;
  width: 100%;

  height: 100%;

  position: absolute;

  top: 0;

  left: 0;

  z-index: 1;

}



.login-form {

  position: relative;

  z-index: 99999;

}



.status-indicator-container img {

  background-color: #fff;

  width: 36px;

  height: 36px;

  padding: 2px;

  border-radius: 50%;

}



.form-label {

  margin-bottom: 4px;

  font-size: 14px;

  color: #3e3e3e;

}



label.error {font-style: italic;}



label.error, span.error {
  color: #ff5050;
  font-size: 13px;
  font-weight: 500;
  display: block;
}

#attachProfile_error, #featuredImage_error, #signature_error {
  color: #ff5050;
  font-size: 12px;
  font-weight: 400;
  display: none;
}

.patient-form label.error {
  order: 1;
  width: 100%;
}

.newAttachments {
  display: flex;
  align-items: center;
  gap: 15px;
  margin-top: 1.25rem;
}

#addMore, .removeAttachments {
  font-size: 0.9rem;
  font-weight: 400;
  line-height: 1;
  color: #1876ff;
  display: inline-flex;
  cursor: pointer;
  user-select: none;
}

#addMore {margin-top: 12px;}
.removeAttachments {color: #f00;}

.single-notification {

  padding: 2px 10px;

  transition: all 0.3s;

}



.single-notification:hover {background: #eeeeee;}

.single-notification span {color: #3e3e3e;}



table.dataTable thead .sorting_desc:after {display: none !important;}

table.dataTable thead .sorting_asc,
table.dataTable thead .sorting_desc,
table.dataTable thead .sorting {background-image: none !important;}
.table>thead>tr>th {font-weight: bold !important;}

.table>tbody>tr>td, .table>tbody>tr>th, .table>tfoot>tr>td, .table>tfoot>tr>th, .table>thead>tr>td, .table>thead>tr>th,
.table>tbody>tr>td h1, .table>tbody>tr>td h2, .table>tbody>tr>td h3 {

  vertical-align: top !important;

  font-size: 14px;

  font-weight: 400;

}
table.dataTable thead > tr > th {border-bottom: 1px solid #8f8f8f;}

.poweredBy {
    font-size: 11px;
    font-weight: bold;
    color: #8b8b8b;
    background: linear-gradient(to right, #febf59, #ff3e2b);
    -webkit-text-fill-color: transparent;
    -webkit-background-clip: text;
}

/*****************************************
  Comments Block Begin
*****************************************/
.chat-container {
  width: 100%;
  background-color: #ffffff;
  border: 1px solid #f4f4f5;
  border-radius: 10px;
  box-shadow: 0 2px 15px rgba(0, 0, 0, 0.01);
  padding: 15px;
  margin-bottom: 20px;
}

.chat-message {
  width: fit-content;
  background-color: #f2f3f7;
  border-radius: 0 12px 12px 12px;
  margin: 10px 0 10px 20px;
  padding: 10px 15px;
  position: relative;
}

.chat-message::before {
  content: "";
  border: 6px solid #f2f3f7;
  border-left-color: transparent;
  border-bottom-color: transparent;
  position: absolute;
  top: 0;
  left: -12px;
}

.message-text {
  font-size: 15px;
  color: #333;
}

.chat-message-info {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 30px;
  margin-top: 5px;
}

.commentedBy {
  font-size: 13px;
  color: #585858;
}
.commentedBy span {font-size: 11px;}

.timestamp {
  font-size: 11px;
  color: #777;
}

/******************************************************************
    Government Header
******************************************************************/
.government-header {
    background: white;
    border-bottom: 1px solid #e5e7eb;
    padding: 12px 0;
}

.header-content {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.logo-left, .logo-right {
    flex-shrink: 0;
}

.gov-logo, .bridge-logo {
    height: 77px;
    width: auto;
}

.ministry-text {
    flex: 1;
    text-align: center;
    padding: 0 16px;
}

.ministry-text a {
    text-decoration: none;
    display: inline-block;
}

.ministry-text h2 {
    font-family: 'Tiro Gurmukhi', serif !important;
    font-size: 40px;
    /* font-size: 34px; */
    font-weight: 600;
    /* background: linear-gradient(to right, #ff0014, #004aff); */
    background: linear-gradient(to right, #ff7500, #003dff);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    color: #374151;
    line-height: 1.2;
    margin-bottom: 0;
}
/* .ministry-text h2:last-child {font-size: 30px;} */

/******************************************************************
    Doctors List Table Begin
******************************************************************/
#example.doctor-list {
  border-collapse: collapse;
  width: 100%;
}

#example.doctor-list th, #example.doctor-list td {
  border: 1px solid #ccc;
  text-align: center;
  height: 100%;
}
#example.doctor-list tr td:last-child {font-size: 14px;}

#example.doctor-list thead th:nth-child(1) { background-color: #f8d7da; }
#example.doctor-list thead th:nth-child(2) { background-color: #d4edda; }
#example.doctor-list thead th:nth-child(3) { background-color: #d1ecf1; }
#example.doctor-list thead th:nth-child(4) { background-color: #fff3cd; }
#example.doctor-list thead th:nth-child(5) { background-color: #e2e3e5; }
#example.doctor-list thead th:nth-child(6) { background-color: #cfe2ff; }
#example.doctor-list thead th:nth-child(7) { background-color: #f0e5ff; }
#example.doctor-list thead th:nth-child(8) { background-color: #ffe5b4; }

#example.doctor-list tbody td:nth-child(1) { background-color: #f8d7da; }
#example.doctor-list tbody td:nth-child(2) { background-color: #d4edda; }
#example.doctor-list tbody td:nth-child(3) { background-color: #d1ecf1; }
#example.doctor-list tbody td:nth-child(4) { background-color: #fff3cd; }
#example.doctor-list tbody td:nth-child(5) { background-color: #e2e3e5; }
#example.doctor-list tbody td:nth-child(6) { background-color: #cfe2ff; }
#example.doctor-list tbody td:nth-child(7) { background-color: #f0e5ff; }
#example.doctor-list tbody td:nth-child(8) { background-color: #ffe5b4; }


/******************************************************************
*******************************************************************
    RESPONSIVE CSS CODE
*******************************************************************
******************************************************************/
@media screen and (min-width: 200px) and (max-width: 768px) {
  /******************************************************************
      Government Header
  ******************************************************************/
  .header-content {gap: 15px;}    
  /* .logo-left, .logo-right {width: calc(50% - 6px);} */
  .gov-logo, .bridge-logo {max-height: 40px;}
  .ministry-text {padding: 0;}
  .ministry-text h2 {font-size: 15px;}
  /* .ministry-text h2 {font-size: 14px;}
  .ministry-text h2:last-child {font-size: 11px;} */
}